Subject: Re: bug#17769: 24.4.50; [PATCH] rcirc-omit-mode: `recenter'ing a window that does not display current-buffer.

From: Daimrod <[email-masked]>
Date: Fri, 13 Jun 2014 18:54:04 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: Daimrod <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 13 Jun 2014 18:14:09 +0900
>> 
>> > This doesn't sound like the right fix to me.  Instead, the code should
>> > momentarily switch to the right window, and call recenter there.
>> > That's surely what the author of this code intended, AFAIU.
>> 
>> But the buffer might not be displayed in any window.
>
> Then with-current-buffer is your friend, I think.

IIUC the goal isn't to recenter the window-buffer but the
current-buffer, but that cannot be done because it is not displayed on
any windows.

So, I with-current-buffer won't help, I would need to use
with-current-buffer-window.

Or did I misundertand you?

-- 
Daimrod/Greg